| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros
progdlg.h File Reference

## Classes

class | wxGenericProgressDialog
| This class represents a dialog that shows a short message and a progress bar. More...
class | wxProgressDialog
| If supported by the platform this class will provide the platform's native progress dialog, else it will simply be the wxGenericProgressDialog. More...

## Macros

#define | wxPD_CAN_ABORT 0x0001
#define | wxPD_APP_MODAL 0x0002
#define | wxPD_AUTO_HIDE 0x0004
#define | wxPD_ELAPSED_TIME 0x0008
#define | wxPD_ESTIMATED_TIME 0x0010
#define | wxPD_SMOOTH 0x0020
#define | wxPD_REMAINING_TIME 0x0040
#define | wxPD_CAN_SKIP 0x0080

## Macro Definition Documentation

#define wxPD_APP_MODAL 0x0002

#define wxPD_AUTO_HIDE 0x0004

#define wxPD_CAN_ABORT 0x0001

#define wxPD_CAN_SKIP 0x0080

#define wxPD_ELAPSED_TIME 0x0008

#define wxPD_ESTIMATED_TIME 0x0010

#define wxPD_REMAINING_TIME 0x0040

#define wxPD_SMOOTH 0x0020